Bug 29299 - Reindent serials search template
Summary: Reindent serials search template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29301
  Show dependency treegraph
 
Reported: 2021-10-21 11:32 UTC by Owen Leonard
Modified: 2021-10-29 16:07 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29299: Reindent serials search template (48.33 KB, patch)
2021-10-21 12:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29299: (follow-up) Add markup comments (3.92 KB, patch)
2021-10-21 12:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29299: Reindent serials search template (48.37 KB, patch)
2021-10-21 18:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 29299: (follow-up) Add markup comments (3.97 KB, patch)
2021-10-21 18:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 29299: Reindent serials search template (48.44 KB, patch)
2021-10-24 10:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29299: (follow-up) Add markup comments (4.04 KB, patch)
2021-10-24 10:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-21 11:32:35 UTC
I would like to update serials-search.tt so that it has consistent indentation.
Comment 1 Owen Leonard 2021-10-21 12:08:20 UTC
Created attachment 126662 [details] [review]
Bug 29299: Reindent serials search template

This patch updates the serials search template to give it consistent
indentation.

The patch also moves one section of markup: The <tfoot> section is moved
to after <tbody> in order to conform to current standards.

To test, apply the patch and go to Serials -> Search subscriptions (in
the header).

- Serials search should work correctly and the page should look correct.
- With Mana enabled, click on the "Search on Mana" link in the sidebar.
- Searches of Mana should work correctly too.
- If you view the diff while ignoring whitespace the only changes should
  be the move of <tfoot> and places  where line breaks were introduced.
Comment 2 Owen Leonard 2021-10-21 12:08:23 UTC
Created attachment 126663 [details] [review]
Bug 29299: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.
Comment 3 David Nind 2021-10-21 18:28:39 UTC
Created attachment 126677 [details] [review]
Bug 29299: Reindent serials search template

This patch updates the serials search template to give it consistent
indentation.

The patch also moves one section of markup: The <tfoot> section is moved
to after <tbody> in order to conform to current standards.

To test, apply the patch and go to Serials -> Search subscriptions (in
the header).

- Serials search should work correctly and the page should look correct.
- With Mana enabled, click on the "Search on Mana" link in the sidebar.
- Searches of Mana should work correctly too.
- If you view the diff while ignoring whitespace the only changes should
  be the move of <tfoot> and places  where line breaks were introduced.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-10-21 18:28:44 UTC
Created attachment 126678 [details] [review]
Bug 29299: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2021-10-24 10:27:36 UTC
Created attachment 126798 [details] [review]
Bug 29299: Reindent serials search template

This patch updates the serials search template to give it consistent
indentation.

The patch also moves one section of markup: The <tfoot> section is moved
to after <tbody> in order to conform to current standards.

To test, apply the patch and go to Serials -> Search subscriptions (in
the header).

- Serials search should work correctly and the page should look correct.
- With Mana enabled, click on the "Search on Mana" link in the sidebar.
- Searches of Mana should work correctly too.
- If you view the diff while ignoring whitespace the only changes should
  be the move of <tfoot> and places  where line breaks were introduced.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-10-24 10:27:40 UTC
Created attachment 126799 [details] [review]
Bug 29299: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-10-28 10:30:07 UTC
Pushed to master for 21.11, thanks to everybody involved!